EDIT - feature request #8775

Improve (rapid) data entry into characater matrix for categorical data
12/17/2019 12:12 PM - Andreas Muller

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Quantitative data can be entered into the matrix very fast by only using the keyboard via return, left, right and number keys.

For categorical data this works not the same way. If entering text the dropdown opens but the text is written no-where. Better one
should jump into the filter field and immediately write there (1). When in the filter field one should have the possibility to go to the
records by using the arrow keys (2).

Also when a field is selected by pressing the left or right tab key the selected value should be written into the field and the next cell
should be selected. This sometimes works but often no value is written into the field. (same seems to happen with "return” but less
often).

Writing into the filter field only works when one of the values selected, this is shown by the checkmark. Therefore you have to use the
arrow keys. But we should find a way that the filter field reacts to the writing immedtiately.

Related issues:

Related to EDIT - bug #8313: Multiple categorical data get deleted when click... Closed
Related to EDIT - feature request #8242: Implement filtered combo boxes for s... Closed
Related to EDIT - bug #8254: Add term information to state dropdown in Charac... New
History

#1 -12/17/2019 12:12 PM - Andreas Miiller
- Related to bug #8313: Multiple categorical data get deleted when clicked on in Character Matrix added

#2 - 12/17/2019 12:18 PM - Andreas Miiller

- Related to feature request #8242: Implement filtered combo boxes for state selection in CharacterMatrix added

#3 - 12/17/2019 12:19 PM - Andreas Miiller
- Related to bug #8254: Add term information to state dropdown in CharacterMatrix added

#4 - 04/21/2020 11:13 AM - Andreas Miiller
- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.15

Moving to additivity milestone

#5 - 06/23/2020 01:54 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.18

#6 - 12/04/2020 09:11 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#7 - 01/27/2021 04:45 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#8 - 03/10/2021 02:46 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22
#9 - 04/19/2021 05:42 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.25

#10 - 07/09/2021 10:19 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#11 - 10/05/2021 09:38 AM - Katja Luther
- Tags changed from additivity to additivity, matrix

#12 - 11/16/2021 09:20 AM - Katja Luther
- Description updated

- Status changed from New to In Progress
